Subject: [PATCH v5 30/46] regulator: pwm: retrieve correct voltage

From: [email-masked] (Boris Brezillon)
Date: Tue, 12 Apr 2016 10:37:22 +0200

Hi Mark,

On Tue, 12 Apr 2016 05:42:03 +0100
Mark Brown <[email-masked]> wrote:

> On Thu, Apr 07, 2016 at 11:54:31PM +0200, Boris Brezillon wrote:
> 
> > Is there any reason for calling set_machine_constraints() after
> > device_register() in regulator_register()?
> 
> I'm not sure there's a strong one, we don't really use the class device
> for anything, but without doing a full audit I couldn't guarantee that.

At first glance I don't see any problem (even the rdev_err/info/...()
functions do not use dev_err/info/...()). The patch will be part of v6
(unless you want me to send it independently).

Thanks,

Boris

-- 
Boris Brezillon, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com